use crate::ui::shell::bars::pane_header;
use egui::{Align, Direction, Frame, Layout, RichText};

pub fn right_bar(ctx: &egui::Context) {
    let mut frame = Frame::side_top_panel(&ctx.style());
    frame.inner_margin.top = 4;
    frame.inner_margin.left = 0;
    frame.inner_margin.right = 0;

    egui::SidePanel::right("right_panel")
        .frame(frame)
        .show(ctx, |ui| {
            pane_header(
                ui,
                "Properties",
                Some(egui_phosphor::regular::INFO),
                false,
                |ui| {},
            );

            ui.with_layout(Layout::top_down_justified(Align::Center), |ui| {
                ui.label(
                    RichText::new("Select a layer in the Layers panel to modify it's properties")
                        .italics(),
                );
            });
        });
}
